/*
 * Copyright (C) 2016 Jorge Ruesga
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ruesga.rview.gerrit.model;

public class SizeLimitInfo {
    private final SizeLimitUnit mUnit;
    private final double mSize;

    public SizeLimitInfo(SizeLimitUnit unit, double size) {
        mUnit = unit;
        mSize = size;
    }

    @Override
    public String toString() {
        return mUnit.format(mSize);
    }
}

